%define module_name Dist-Zilla-Plugin-OptionalFeature
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Config/MVP/Reader/INI.pm) perl(Dist/Zilla.pm) perl(Dist/Zilla/Plugin/DynamicPrereqs.pm) perl(Dist/Zilla/Role/BeforeBuild.pm) perl(Dist/Zilla/Role/MetaProvider.pm) perl(Dist/Zilla/Role/PrereqSource.pm) perl(Exporter.pm) perl(File/Spec.pm) perl(JSON/MaybeXS.pm) perl(Module/Build.pm) perl(Module/Build/Tiny.pm) perl(Module/Metadata.pm) perl(Module/Runtime.pm) perl(Moose.pm) perl(MooseX/Types/Common/String.pm) perl(MooseX/Types/Moose.pm) perl(Path/Tiny.pm) perl(Test/CPAN/Meta/JSON/Version.pm) perl(Test/CPAN/Meta/YAML/Version.pm) perl(Test/DZil.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Test/Warnings.pm) perl(YAML/Tiny.pm) perl(if.pm) perl(lib.pm) perl(namespace/autoclean.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.023
Release: alt1
Summary: Specify prerequisites for optional features in your dist
Group: Development/Perl
License: perl
URL: https://github.com/karenetheridge/Dist-Zilla-Plugin-OptionalFeature

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/E/ET/ETHER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This plugin provides a mechanism for specifying prerequisites for optional
features in metadata, which should cause CPAN clients to interactively prompt
you regarding these features at install time (assuming interactivity is turned
on: e.g. `cpanm --interactive Foo::Bar').

The feature *name* and *description* are required. The name can be extracted
from the plugin name.

You can specify requirements for different phases and relationships with:

    [OptionalFeature / Feature name]
    -description = description
    -phase = test
    -relationship = requires
    Fitz::Fotz    = 1.23
    Text::SoundEx = 3

If not provided, `-phase' defaults to `runtime', and `-relationship' to
`requires'.

To specify feature requirements for multiple phases, provide them as separate
plugin configurations (keeping the feature name and description constant):

    [OptionalFeature / Feature name]
    -description = description
    -phase = runtime
    Foo::Bar = 0

    [OptionalFeature / Feature name]
    -description = description
    -phase = test
    Foo::Baz = 0

It is possible that future versions of this plugin may allow a more compact
way of providing sophisticated prerequisite specifications.

If the plugin name is the CamelCase concatenation of a phase and relationship
(or just a relationship), it will set those parameters implicitly.  If you use
a custom name, but it does not specify the relationship, and you didn't
specify either or both of `-phase' or `-relationship', these values default
to `runtime' and `requires' respectively.

The example below is equivalent to the synopsis example above, except for the
name of the resulting plugin:

    [OptionalFeature]
    -name = XS Support
    -description = XS implementation (faster, requires a compiler)
    -phase = runtime
    -relationship = requires
    Foo::Bar::XS = 1.002

=for Pod::Coverage mvp_aliases metadata register_prereqs


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes CONTRIBUTING
%perl_vendor_privlib/D*

%changelog
* Sun Feb 24 2019 Igor Vlasenko <viy@altlinux.ru> 0.023-alt1
- updated by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.014-alt1
- regenerated from template by package builder

* Thu Mar 06 2014 Igor Vlasenko <viy@altlinux.ru> 0.013-alt1
- regenerated from template by package builder

* Sun Oct 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.007-alt1
- initial import by package builder

